const axios = require('axios')
const datapay = require('datapay')
const build = (data) => {
  return new Promise((resolve, reject) => {
    datapay.build({
      data: [data]
    }, (err, tx) => {
      resolve({
        merchantData: null,
        transaction: tx.toString(),
        refundTo: null,
        memo: null
      })
    })
  })
};
(async () => {

  // p3001
  let Payment = await build("3001-0");
  let result = await axios.post('http://localhost:3000/p3001', Payment)
  .catch(function (error) {
    console.log(error);
  });
  console.log("p3001", result.data)

  // p3002
  Payment = await build("3002-0");
  result = await axios.post('http://localhost:3000/p3002', Payment)
  .catch(function (error) {
    console.log(error);
  });
  console.log("p3002", result.data)

  // p3002
  Payment = await build("3002-1");
  result = await axios.post('http://localhost:3000/p3002', Payment)
  .catch(function (error) {
    console.log(error);
  });
  console.log("p3002", result.data)

  // p3003
  Payment = await build("3003-0");
  result = await axios.post('http://localhost:3000/p3003', Payment)
  .catch(function (error) {
    console.log(error);
  });
  console.log("p3003", result.data)
})();
