const Overpool = require("../../index")
const datapay = require('datapay')
const fs = require('fs')
const pool = new Overpool();
var counter = 0;
const build = (data) => {
  return new Promise((resolve, reject) => {
    datapay.build({
      data: [data]
    }, (err, tx) => {
      console.log("tx = ", tx)
      resolve({
        merchantData: null,
        transaction: tx.toString(),
        refundTo: null,
        memo: null
      })
    })
  })
};
pool.add({ path: "localhost" })
pool.on("tx", (e) => {
  console.log(e)
  fs.readdir("overpool/localhost", (err, items) => {
    console.log("## Current Ledger State ##")
    console.log(items)
  })
})
setInterval(() => {
  let timestamp = Date.now()
  build(timestamp.toString()).then((payment) => {
    pool.post({ path: "localhost", payment: payment })
  })
  counter++;
  if (counter >= 5) {
    console.log("pruning")
    counter = 0;
    pool.prune("localhost")
  }
}, 2000)
