const Overpool = require('../../index')
const datapay = require('datapay')
// Build a BIP270 Payment object from data
const build = (data) => {
  return new Promise((resolve, reject) => {
    datapay.build({ data: data, safe: true }, (err, tx) => {
      resolve({
        merchantData: null,
        transaction: tx.toString(),
        refundTo: null,
        memo: null
      })
    })
  })
};
(async () => {
  const pool = new Overpool();
  let payment = await build(["Hello world at " + Date.now()])
  await pool.post({
    path: "serverless_pool",
    payment: payment
  })
})();
