const tree = require('tree-node-cli');
const Overpool = require("../../index")
const fs = require('fs')
const datapay = require('datapay')
const pool = new Overpool();
const buildTx = (i) => {
  return new Promise((resolve, reject) => {
    datapay.build({
      data: ["hello", i.toString()]
    }, async (err, tx) => {
      if (err) {
        reject(err)
      } else {
        resolve(tx)
      }
    })
  })
}
(async () => {
  // Listen to global tape
  pool.on("*", (e) => {
    console.log("event", e)
  })
  for (let j=0; j<10; j++) {
    let tx = await buildTx(j)
    console.log("tx = ", tx, j)
    for (let i=0; i<10; i++) {
      console.log("i=", i)
      await pool.post({
        payment: { transaction: tx },
        path: i.toString()
      })
      .catch((e) => {
        console.log(e)
      })
    }
  }
})();
